<?php
require_once dirname(__FILE__).'/PriceByRoleTestCase.php';

class FestiWooCommerceProductTest extends PriceByRoleTestCase
{
    private $_backend;
    private $_notRealFilePath = '/var/test/file.php';
    private $_defaultCsvDelimiter = ',';
    private $_instance;
    private $_notRealType = 'not_real';
    private $_types = array(
        'simple',
        'variable',
        'grouped',
        'variation',
        'addons',
        'bundle',
        'external',
        'composite'
    );

    public function setUp()
    {
        parent::setUp();
        
        $file = 'FestiWooCommerceProduct.php';
        require_once $this->getPluginPath('common/woocommerce/product/'.$file);
        
        $this->_instance = new FestiWooCommerceProduct($this);
    } // end setUp
    
    public function testGetProductInstanceByType()
    {
        foreach ($this->_types as $type) {
            $instance = $this->_instance->getInstance($type);
            $result = is_object($instance);
            $this->assertTrue($result);
        }
    } // end testGetProductInstanceByType
    
    /**
     * @expectedException              Exception
     * @expectedExceptionMessageRegExp #Plugin do not support product type.*#
     */
    public function testGetProductIdByUdefinedTypeExceptionMessage()
    {
        $product = new stdClass();
        $product->product_type = $this->_notRealType;
        
        $this->_instance->getProductId($product);
    } // end testGetProductIdByUdefinedTypeExceptionMessage
}